* GUT, J.A.W. Programao Matemtica para Otimizao de Processos. EDUSP 2021.
* https://sites.usp.br/otimizacao/
***** Problema do processo de alquilao ******************
***** Declarao de variveis *****************************
FREE VARIABLE f;
POSITIVE VARIABLE x1, x2, x3, x4, x5, x6, x7, x8, x9, x10;
***** Declarao de equaes ******************************
EQUATION h0, h1, h2, h3, h4, h5, h6, h7, g1, g2, g3, g4,
g5, g6, g7, g8, g9, g10, g11, g12, g13, g14, g15;
***** Equaes ********************************************
h0.. f +0.063*x4*x7 -5.04*x1 -0.035*x2 -10*x3 -3.36*x5 =E= 0;
h1.. x8*x1 - x2 - x5 =E= 0;
h2.. x5 - 1.22*x4 + x1 =E= 0;
h3.. x4 - x1*(1.12 + 0.13167*x8 - 0.00667*x8**2) =E= 0;
h4.. x7 - 86.35 - 1.098*x8 + 0.038*x8**2 - 0.325*(x6 - 89) =E= 0;
h5.. x10 - 3*x7 + 133 =E= 0;
h6.. x9 - 35.82 + 0.222*x10 =E= 0;
h7.. x6*(x4*x9 + 1000*x3) - 98000*x3 =E= 0;
g1..  x1 - 2000 =L= 0;
g2..  x2 - 16000 =L= 0;
g3..  x3 - 120 =L= 0;
g4..  x4 - 5000 =L= 0;
g5..  x5 - 2000 =L= 0;
g6.. -x6 + 85 =L= 0;
g7..  x6 - 93 =L= 0;
g8.. -x7 + 90 =L= 0;
g9..  x7 - 95 =L= 0;
g10.. -x8 + 3 =L= 0;
g11..  x8 - 12 =L= 0;
g12.. -x9 + 0.01 =L= 0;
g13..  x9 - 4.0 =L= 0;
g14.. -x10 + 145 =L= 0;
g15..  x10 - 162 =L= 0;
***** Limites e valores iniciais **************************
x1.L = 1745;
x2.L = 12000;
x3.L = 110;
x4.L = 3048;
x5.L = 1974;
x6.L = 89.2;
x7.L = 92.8;
x8.L = 8;
x9.L = 3.6;
x10.L = 145;
***** Soluo do problema *********************************
MODEL alquilacao /ALL/ ;
SOLVE alquilacao USING NLP MINIMAZING f;
***********************************************************
